List workflow runs
curl --request GET \
--url https://api.tamtam.ai/api/v1/user-workflow-runs \
--header 'Authorization: <api-key>'import requests
url = "https://api.tamtam.ai/api/v1/user-workflow-runs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tamtam.ai/api/v1/user-workflow-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Run": {
"AccountID": "d5e8f7a4-6789-4cde-bf01-234567890abc",
"CreatedAt": "2026-04-07T09:00:00Z",
"ID": "b3c6f5e2-1234-4abc-9def-0123456789ab",
"UpdatedAt": "2026-04-07T09:05:00Z",
"UserEmail": "elliot.alderson@tamtam.ai"
},
"Status": "RUNNING",
"Steps": [
{
"CreatedAt": "2026-04-07T09:00:00Z",
"ID": "c4d7e6f3-5678-4bcd-aef0-1234567890ab",
"Status": "RUNNING",
"StepType": "search_people",
"UpdatedAt": "2026-04-07T09:05:00Z",
"UserWorkflowRunID": "b3c6f5e2-1234-4abc-9def-0123456789ab",
"Input": "<unknown>",
"Output": "<unknown>",
"ParentStepID": "<string>"
}
]
}
]{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Workflow Runs
List workflow runs
List all workflow runs for the authenticated account, optionally filtered by user email.
GET
/
v1
/
user-workflow-runs
List workflow runs
Authorizations
apikeyAuthbearerAuth
Account API key passed in the Authorization header
Query Parameters
Filter by user email
Example:
"elliot.alderson@tamtam.ai"